/*
   Copyright (C) 2004 Michael Nelson Moran

   This file is part of OSCL.

   OSCL is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   OSCL is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
   License for more details.

   You should have received a copy of the GNU General Public License
   along with OSCL; see the file COPYING.  If not, write to the Free
   Software Foundation, 59 Temple Place - Suite 330, Boston, MA
   02111-1307, USA.

   To negotiate other licensing arrangments/agreements contact
   the copyright holder:

   Michael N. Moran
   5009 Old Field Ct.         mike@mnmoran.org
   Kennesaw, GA, USA 30144    http://mnmoran.org
*/

#ifndef _hw_mot8xx_portregh_
#define _hw_mot8xx_portregh_
#include "oscl/compiler/types.h"
namespace Oscl { // Namespace description
	namespace Mot8xx { // Namespace description
		namespace Port { // Namespace description
			namespace PADIR { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PAPAR { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PAODR { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PADAT { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PCDIR { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PCPAR { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PCSO { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PCDAT { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PCINT { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PDDIR { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PDPAR { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PDDAT { // Register description
				typedef Unsigned16	Reg;
				};
			namespace PBDIR { // Register description
				typedef Unsigned32	Reg;
				};
			namespace PBPAR { // Register description
				typedef Unsigned32	Reg;
				};
			namespace PBODR { // Register description
				typedef Unsigned32	Reg;
				};
			namespace PBDAT { // Register description
				typedef Unsigned32	Reg;
				};
			};
		};
	};
#endif
